View Issue Details

IDProjectCategoryExploit/GlitchLast Update
0004395Battlefield 1PerformanceNo2017-10-20 11:47
ReporterLumoColor 
SeverityMajorReproducibilitySometimes 
Status ConfirmedResolutionOpen 
PlatformPCOSWindows 
Product VersionUpdate 21082017 - Lupkow Pass Update 
Fixed in Version 
Summary0004395: Laggy Servers, Rubberbanding and Hit Detection Issues
DescriptionGame starts off normal as the game progresses it gets laggier and laggier to the point where players rubber-band forwards and backwards, especially around obstacles, vehicles and other players. During the lag events the network indicator flashes intermittently but it is not always clear from net graph why, there are instances where the Extra Offset goes wild.
As shown throughout the 3 examples hit detection is not working correctly with canister shell shots straight at players missing and shells next to players doing no damage.
Players walking through MG15 fire taking little or no damage and damage being slow to register from grenades and explosives.
It is difficult to repair vehicles and planes as the repair indicator just keeps resetting even when in safe location not taking any damage.
This is impacting multiple players on the server in different countries using different ISP's. There are no issues with my internet connections, I have 3 x DSL connections from 2 different ISP/ Telco providers, these issues occur on all connections. All connections offer very low latency business quality connectivity and pass speed and latency tests. Traceroutes to the test server have been inconsistent since July mainly due to the noted i3d gateway, when there are packet loss issues its always around this gateway. But I think this is only ½ of the issue as the main problem seems to be server side as players in different locations with different paths to the server are impacted.
This happens with or without network smoothing enabled.

Example 1: Server #329599 (TSNP) 25/08/2017 21:40 (BST)
https://youtu.be/vSrJ3DBi-Zo

1st map was exactly same, everyone complaining about server issues. Second map when I started recording it became significantly worse and nearly every player on server complaining about rubber banding and lag. At start there is up to 30% packet loss, this was intermittent MTR's to the test server IP 213.163.73.138 on another machine/connection indicate this is around the gateway 30ge.cr0-lr0.smartdc.rtm.i3d.net. This gateway has had an increased latency since July, it used to always be 20ms consistently all the way to the servers, but this now fluctuates widely on MTR’s.

Later in video packet loss disappears but lag, rubber banding and poor hit detection continue.

Example 2: Server #351831 27/08/2017 22:06 (BST)
https://youtu.be/yd8vpgCr3AA

Nearly every player on server complaining about rubber banding and lag. When the server is laggy like this hit detection is very poor as shown through the video, also mortar kills take a lot longer to be detected.

Example 3: Server #355771 28/08/2017 20:24 (BST)
https://youtu.be/oa79oTI5hwU

This game the player movement was like treacle getting stuck on obstacles, especially destructible obstacles.
Steps To Reproduce1. Find an operations server.
2. Play a round, it seems to be worse in the evenings around peak times say 18:00 -> 00:00 UK time.

Relationships

has duplicate 0004528 Closed Still rubberbanding and broken servers since hotfix 21.09.2017 
related to 0004394 Confirmed Our RSP server is laggy and it's changing location between Netherlands/Ireland every day 

Activities

Jaskaman

2017-08-31 08:10

User
  ~0004982

Last edited: 2017-09-01 11:52

View 2 revisions

Maybe this has something to do with our RSP server problem, server switching location and start rubberbanding.
It happens with 64P CQ servers as well.

LumoColor

2017-09-05 16:32

User
  ~0005010

Still happening even after applying today's "In the Name of the Tsar" update.

The 2 examples below show the rubber banding, treacle movement, kills taking up to 10 seconds to register and general lag issues.

Example 1: https://youtu.be/f1K7PNTksMk

Example 2: https://youtu.be/RLMf0BVJ9i0

petoketju

2017-09-05 17:34

User
  ~0005011

This issue is not limited to Operations servers. I confirm similar lagging, and rubberbanding happening on Conquest (Europe) servers.

It has been like this since the "Lupkow Pass Update", and still continues now after "In the Name of the Tsar" update is live.

petoketju

2017-09-06 17:32

User
  ~0005017

If anyone is investigating this issue, I just finished heavily lagging round. On the server logs things might look interesting for:
- Server: [DICE] Official - CQ - Europe - #405037
- Round ended about 17:05 UTC time (2017-09-06)
- Map: Amiens

I understand that this kind of issue might be hard to discover, or even reproduce, as it is not constantly happening.
Everything could be fine in the beginning of the round, and gradually it starts getting worse.

I'd be happy to report more lagging servers, times, and maps if that is helpful at all?
Should other information be included in the reports, in addition to Server, Time, and the Map played?

Servers that I've noticed lagging before, include at least:
[DICE] Official - CQ - Europe - #329468
[DICE] Official - CQ - Europe - #330671
(Unfortunately, for these I didn't make mark of time, or maps played)

petoketju

2017-09-06 18:01

User
  ~0005018

Last edited: 2017-09-06 18:32

View 3 revisions

Here's another one:
- Server: [DICE] Official - CQ - Europe - #405053
- Round ended 17:59 UTC time (2017-09-06)
- Map: Amiens

petoketju

2017-09-06 18:34

User
  ~0005019

One more. This one had slightly less frequent lag than the two reports before.
Still barely playable on the worst lag spikes.

- Server: [DICE] Official - CQ - Europe - #405053
- Round ended 18:30 UTC time (2017-09-06)
- Map: Ballroom Blitz

petoketju

2017-09-06 19:17

User
  ~0005020

I quit this one because of the lag.

- Server: [DICE] Official - CQ - Europe - #405061
- Left the game because of lag: 19:14 UTC time (2017-09-06)
- Map: Giant's Shadow

LumoColor

2017-09-07 00:31

User
  ~0005025

Server #394368/ 06/09/2017 with NetGraph/ 2 more example videos. Usual issue Kills and damage is taking forever to register, server lag and high server ticks:-

https://youtu.be/9XHB7htMMaY

https://youtu.be/aO3jjqB7-UA

motoguzzi2011

2017-09-08 07:39

User
  ~0005045

The lag is clearly worse since publishing the new tsar maps for early 2 weeks. But I wouldn't count this to the shotgun problems. The lag does not affect hit registration as long as calculated locally (on workstation). But it takesseveral seconds long for the successful kill report and for the being-killed report to see the opponent and the used weapon.

renesweb74

2017-09-08 08:26

User
  ~0005047

Last edited: 2017-09-08 08:58

View 2 revisions

Tsaritsyn - in the Operation 64´er - hit detection issues and laggy server - on this map its very strange and all players have this issues (wrote in game chat). You shot and the kill was shown 10 seconds later in the UI

LumoColor

2017-09-08 19:26

User
  ~0005055

Longer example of full sector where lag and delays are that bad you cannot prone correctly (as it takes multiple attempts) and cannot throw nades, Netgraph on.

This is worst bit: https://youtu.be/5FWqr1icjGA?t=278

Full video of all sector: https://youtu.be/5FWqr1icjGA

TrackerBugger

2017-09-09 16:58

User
  ~0005069

Last edited: 2017-09-09 16:58

View 2 revisions

SINAI DESERT ONLY 24/7 - CONQUEST - FAIR PLAY - https://battlefieldtracker.com/bf1/servers/pc/2437500790087
Horrible lag and rubberbanding.Please fix

LumoColor

2017-09-18 22:01

User
  ~0005137

Its getting worse, tonight servers so laggy that you could not even spawn.

https://youtu.be/ewnqEwt93ao

In this video the round ended and I had re spawned on new round, server still giving messages from previous round and unable to move correctly, switch weapons, shoot, or anything, but some players were able to move around normally as you can see from the death at the end.

LumoColor

2017-09-21 13:56

User
  ~0005154

Fix from 21/09/2017 has made no difference, issue is still same as before as shown in this video.

https://youtu.be/8rVZjYApt50

LumoColor

2017-09-21 18:48

User
  ~0005155

Longer video from same game as before. This shows the lag coming and going through the whole round.

https://youtu.be/L7JUT1Mfkfg

LumoColor

2017-09-21 21:23

User
  ~0005157

Another game on a different server. This one is doing exactly the same as the 1st video with high server tick and Extra Offset going wild.

Server #481760 @ 19:36 UK Time

https://youtu.be/-eplxMStuzo

Someguy12121

2017-09-21 22:04

User
  ~0005162

I am noticing a lot more netcode issues on PS4. A lot of being shot through walls and getting killed after decking below a window.

itsjustm3

2017-09-24 14:19

User
  ~0005183

Since patch ... STILL rubberbanding, lags and delayed messages.
The "server performance warning icon" appears constantly :/

LumoColor

2017-09-24 20:57

User
  ~0005188

Every game I had today been laggy at some point. This morning it was just a few waves later in the games, this afternoon it was shocking, later in the evening it was lag all the way, worst its been since before 21st Sept "fix".

More examples requested.

BF1 More Laggy Server Action 24/09/[email protected] #497553
Server: [DICE] Official - Kaiserschlacht Large - EU - #497553
https://youtu.be/UskKsVh16nY

BF1 More Laggy Server Action 24/09/[email protected]:07 (#497553)
Server: [DICE] Official - Kaiserschlacht Large - EU - #497553
https://youtu.be/yXtV-WURkhM

LumoColor

2017-09-27 14:48

User
  ~0005201

26th September 2017 @ 18:45, another example of server performance issues at peak time.
Server: [DICE] Official - Kaiserschlacht Large - EU - #512641
https://youtu.be/stjDSC97lBE

I have a pcap dump from the monitoring port of my switch of network traffic from this game if that would help the developers understand what is happening in the server to client traffic.

TrackerBugger

2017-09-28 09:04

User
  ~0005202

The patch couldnt really fix the lags and rubberbanding:
https://streamable.com/v5sle

LumoColor

2017-10-01 15:34

User
  ~0005212

Servers are now crashing during and after laggy rounds. Yesterday between 12:00 and 23:30 UK time the servers were intermittently crashing mid round and at round end. Happened quite frequently to myself (saw 3) and members of my platoon (lots and lots). Today I managed to capture on video. All 3 players crashed out at round end.
https://youtu.be/yC2xklWt5i0

LumoColor

2017-10-05 17:45

User
  ~0005227

** SERVERS NOW CRASHING ON START OF 2ND ROUND **
Spend another 40+ mins to win a round of 64p Operations on map Galicia as attack to be rewarded with a SERVER CRASH - THIS TIME ON 2ND MAP!
https://youtu.be/Bf9iv1shtNM

Lag intermittently through the game, played through it and got to end of a grinding attack winning with 73 tickets on LAST battalion to be rewarded with a SERVER CRASH after loading 2nd Map. This was happening at the weekend and claimed to be fixed: https://www.reddit.com/r/battlefield_live/comments/73tre6/battlefield_1_improvement_to_server/ - ITS HAPPENING AGAIN!!!

ShagZ-Vi

2017-10-12 04:08

User
  ~0005275

Last edited: 2017-10-12 04:08

View 2 revisions

I am experiencing this issue and can reproduce it every time I play... in any server or game mode. This problem only came about since a recent *bf1* update.

humphreybc

2017-10-16 09:36

User
  ~0005461

Last edited: 2017-10-20 11:47

View 3 revisions

Thought this was resolved in the October patch but apparently not. I experienced annoying rubber-banding on a PS4 Oceania Operations server tonight. Kinda hard to play the game when your character doesn't want to move forward...

Here's some gameplay with the netgraph turned on. Fast forward to 2:40 to see the worst bit. https://youtu.be/PB9bJFM_hLM